export default function(data) {
  const { store } = this.context

  store.commit('engine/setJson', data)
  store.commit('game/setStateAndPhase', data.game)
  store.commit('players/setPlayers', data.game)
  store.commit('round/setRound', data.game)

  if (data.game.state === 'play' && data.game.phase === 'reveal-start-2') {
    store.commit('selection/clearSelection')
  }
}
